"""Add Router workflows.

Revision ID: 3657611f0dfc
Revises: 91047dd30b40
Create Date: 2023-08-14 15:44:25.616608

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '3657611f0dfc'
down_revision = '91047dd30b40'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "create_router",
        "target": "CREATE",
        "description": "Create router",
        "product_type": "Router"
    },
    {
        "name": "terminate_router",
        "target": "TERMINATE",
        "description": "Terminate router",
        "product_type": "Router"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
